package org.jcon.test;

import org.jcon.ui.MultiLineLabel;
import javax.swing.JFrame;

/**
 * Test: java org.jcon.test.TestMultiLineLabel
 *
 * @author Jack Harich
 */
public class TestMultiLineLabel {

//---------- Initialization ------------------------------
public static void main(String args[]) {
    new TestMultiLineLabel().test();
}
//---------- Public Methods ------------------------------
public void test() {
    print(" - Running test...");

    JFrame window = new JFrame("Test MultiLineLabel");
    //window.setBackground(Color.lightGray);
    MultiLineLabel label = new MultiLineLabel();
    window.getContentPane().add("Center", label);

    label.setText("This is line one. Isn't it perky?\nThis is Line two");
    

    
    window.pack();
    window.setVisible(true);
    
    print(" - After setVisible()");
}
//---------- Private Methods -----------------------------
//--- Std
private static void print(String text) {
    System.out.println("TestList" + text);
}

} // End class
